summaryrefslogtreecommitdiff
path: root/solenv/bin
diff options
context:
space:
mode:
authorBjoern Michaelsen <bjoern.michaelsen@canonical.com>2014-01-23 12:51:38 +0100
committerBjoern Michaelsen <bjoern.michaelsen@canonical.com>2014-01-23 12:55:09 +0100
commitb5e988ffc121147c052cf9d6992afc35db3df49b (patch)
treea53aa6530614fa683b2d236c230b8ffdd73146ee /solenv/bin
parent62c2022ba73b165072e0bf01f7f368f0ecda9aad (diff)
make unittest failure foo a script
- first of all, code from CppunitTest.mk used from PythonTest.mk is bad anyway - also, this shortens and removes noise from the commandline executed Change-Id: I6c5b41a0c497b766c3293aeec5c59240aa3ef37c
Diffstat (limited to 'solenv/bin')
-rwxr-xr-xsolenv/bin/unittest-failed.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/solenv/bin/unittest-failed.sh b/solenv/bin/unittest-failed.sh
new file mode 100755
index 000000000000..35db6dc3b058
--- /dev/null
+++ b/solenv/bin/unittest-failed.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# -*- Mode: sh; tab-width: 4; indent-tabs-mode: t -*-
+#
+# This file is part of the LibreOffice project.
+#
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+#
+# This file incorporates work covered by the following license notice:
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed
+# with this work for additional information regarding copyright
+# ownership. The ASF licenses this file to you under the Apache
+# License, Version 2.0 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.apache.org/licenses/LICENSE-2.0 .
+
+printf '\nError: a unit test failed, please do one of:\n\nexport DEBUGCPPUNIT=TRUE # for exception catching\nexport CPPUNITTRACE="gdb --args" # for interactive debugging on linux\nexport CPPUNITTRACE="\"[full path to devenv.exe]\" /debugexe" # for interactive debugging in Visual Studio\nexport VALGRIND=memcheck # for memory checking\n\nand retry using: make %sTest_%s\n\n' $1 $2
+exit 1
+
+# vim: set et sw=4: